Managed Service for Gitlab API, REST: Instance.Create
Creates a new GitLab instance in the specified folder.
HTTP request
POST https://gitlab.api.cloud.yandex.net/gitlab/v1/instances
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"resourcePresetId": "string",
"diskSize": "string",
"adminLogin": "string",
"adminEmail": "string",
"domainPrefix": "string",
"subnetId": "string",
"backupRetainPeriodDays": "string",
"maintenanceDeleteUntagged": "boolean",
"deletionProtection": "boolean",
"approvalRulesId": "string"
}
Request message for InstanceService.Create.
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create instance in. The maximum string length in characters is 50. |
|
name |
string Required field. Name of the instance (must be unique within the folder). Value must match the regular expression |
|
description |
string Description of the instance. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the instance as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
resourcePresetId |
string Required field. ID of the resource preset for computational resources. The maximum string length in characters is 50. |
|
diskSize |
string (int64) Disk size in bytes. |
|
adminLogin |
string Required field. Admin user login. The maximum string length in characters is 50. |
|
adminEmail |
string Required field. Admin user email. |
|
domainPrefix |
string Required field. Domain prefix for the GitLab instance. The maximum string length in characters is 50. Value must match the regular expression |
|
subnetId |
string Required field. ID of the subnet where instance will be created. The maximum string length in characters is 50. |
|
backupRetainPeriodDays |
string (int64) Number of days to retain backups. |
|
maintenanceDeleteUntagged |
boolean Whether to delete untagged resources during maintenance. |
|
deletionProtection |
boolean Whether deletion protection is enabled. |
|
approvalRulesId |
string ID of approval rules for the instance. The maximum string length in characters is 30. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |